/***************************************************************************
                          fenster.h  -  description
                             -------------------
    begin                : Do Jan 29 2004
    copyright            : (C) 2004 by Sommer Niko
    email                : stealth20@rin.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef FENSTER
#define FENSTER

#include <kconfig.h>
#include <qpainter.h>
#include <stdlib.h>

#include <qvariant.h>
#include <qwidget.h>
#include <qfile.h>

#define BUFFER 255

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;

class myview : public QWidget
{
    Q_OBJECT

public:
   KConfig* ksConfig;

    myview( KConfig* ksCfg, QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~myview();
    

    struct bandwidth
    {
      unsigned long incoming;
      unsigned long outgoing;
    };
    


protected:
   
    virtual void paintEvent( QPaintEvent * );
    virtual void timerEvent( QTimerEvent * );

protected slots:
  
    virtual void languageChange();

  private:
 
    
    struct bandwidth bw, previous, aktuell;
 
    void parse_file(struct bandwidth*, QString* c_interface );
    void monitor_interface(struct bandwidth* );
    
    float myTimer, update;
    unsigned long  divisor;
    float l, m, up_max,down_max;

};


#endif
